Package com.plannaplan.models

# Class FileData

java.lang.Object
com.plannaplan.models.FileData

    public class FileData
    extends java.lang.Object

Wrapper for data readed from file

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`FileData​(java.util.HashMap<java.lang.String,​java.lang.Integer> keys, java.util.Iterator<org.apache.poi.ss.usermodel.Row> rows)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`int` | `getIndexOf​(java.lang.String key)` |
`java.util.HashMap<java.lang.String,​java.lang.Integer>` | `getKeys()` |
`java.util.Iterator<org.apache.poi.ss.usermodel.Row>` | `getRows()` |
`void` | `setKeys​(java.util.HashMap<java.lang.String,​java.lang.Integer> keys)` |
`void` | `setRows​(java.util.Iterator<org.apache.poi.ss.usermodel.Row> rows)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileData

public FileData​(java.util.HashMap<java.lang.String,​java.lang.Integer> keys, java.util.Iterator<org.apache.poi.ss.usermodel.Row> rows)

## Method Details

### getRows

public java.util.Iterator<org.apache.poi.ss.usermodel.Row> getRows()

### setRows

public void setRows​(java.util.Iterator<org.apache.poi.ss.usermodel.Row> rows)

### getKeys

public java.util.HashMap<java.lang.String,​java.lang.Integer> getKeys()

### setKeys

public void setKeys​(java.util.HashMap<java.lang.String,​java.lang.Integer> keys)

### getIndexOf

public int getIndexOf​(java.lang.String key)